﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication5.Models;

namespace MvcApplication5.Controllers
{ 
    public class PerformanceSnapshotGraphController : Controller
    {
        private MOSTestDBContext db = new MOSTestDBContext();

        //
        // GET: /PerformanceSnapshotGraph/

        public ViewResult Index()
        {
            return View(db.PerformanceSnapshotGraph.ToList());
        }

        //
        // GET: /PerformanceSnapshotGraph/Details/5

        public ViewResult Details(int id)
        {
            PerformanceSnapshotGraphModel performancesnapshotgraphmodel = db.PerformanceSnapshotGraph.Find(id);
            return View(performancesnapshotgraphmodel);
        }

        //
        // GET: /PerformanceSnapshotGraph/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /PerformanceSnapshotGraph/Create

        [HttpPost]
        public ActionResult Create(PerformanceSnapshotGraphModel performancesnapshotgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.PerformanceSnapshotGraph.Add(performancesnapshotgraphmodel);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(performancesnapshotgraphmodel);
        }
        
        //
        // GET: /PerformanceSnapshotGraph/Edit/5
 
        public ActionResult Edit(int id)
        {
            PerformanceSnapshotGraphModel performancesnapshotgraphmodel = db.PerformanceSnapshotGraph.Find(id);
            return View(performancesnapshotgraphmodel);
        }

        //
        // POST: /PerformanceSnapshotGraph/Edit/5

        [HttpPost]
        public ActionResult Edit(PerformanceSnapshotGraphModel performancesnapshotgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.Entry(performancesnapshotgraphmodel).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(performancesnapshotgraphmodel);
        }

        //
        // GET: /PerformanceSnapshotGraph/Delete/5
 
        public ActionResult Delete(int id)
        {
            PerformanceSnapshotGraphModel performancesnapshotgraphmodel = db.PerformanceSnapshotGraph.Find(id);
            return View(performancesnapshotgraphmodel);
        }

        //
        // POST: /PerformanceSnapshotGraph/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            PerformanceSnapshotGraphModel performancesnapshotgraphmodel = db.PerformanceSnapshotGraph.Find(id);
            db.PerformanceSnapshotGraph.Remove(performancesnapshotgraphmodel);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}